Bug 1176284 - (CVE-2020-24978) VUL-1: CVE-2020-24978: nasm: In NASM 2.15.04rc3, there is a double-free vulnerability in pp_tokline asm/preproc.c. This is fixed in commit 8806c3ca007b84accac21dd88b900fb03614ceb7.
(CVE-2020-24978)
VUL-1: CVE-2020-24978: nasm: In NASM 2.15.04rc3, there is a double-free vulne...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Michael Vetter
Security Team bot
https://smash.suse.de/issue/266744/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-08 15:31 UTC by Marcus Meissner
Modified: 2020-11-04 15:14 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2020-09-08 15:31:22 UTC
CVE-2020-24978

In NASM 2.15.04rc3, there is a double-free vulnerability in pp_tokline
asm/preproc.c. This is fixed in commit 8806c3ca007b84accac21dd88b900fb03614ceb7.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-24978
http://people.canonical.com/~ubuntu-security/cve/2020/CVE-2020-24978.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-24978
https://bugzilla.nasm.us/show_bug.cgi?id=3392712
Comment 1 Marcus Meissner 2020-09-08 15:34:37 UTC
Leap 15.1 nasm seems not affected, so likely only in newer. But please cross check.